Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.data.sequences.annotation
Class ReferenceSequenceAnnotationParser

    java.lang.Object
      de.jstacs.data.sequences.annotation.SplitSequenceAnnotationParser
          de.jstacs.data.sequences.annotation.ReferenceSequenceAnnotationParser

All Implemented Interfaces:
  SequenceAnnotationParser

    public class ReferenceSequenceAnnotationParser

extends SplitSequenceAnnotationParser

This class implements an `SequenceAnnotationParser` that parses a `ReferenceSequenceAnnotation` from the comment lines of a sequence.

Author:
  Jan Grau

Field Summary

Fields inherited from class de.jstacs.data.sequences.annotation.SplitSequenceAnnotationParser
`annot, annotationDelimiter, keyValueDelimiter`

Constructor Summary
`ReferenceSequenceAnnotationParser(String key, AlphabetContainer alphabet, String keyValueDelimiter, String annotationDelimiter)` Creates a new `ReferenceSequenceAnnotationParser` with user-specified delimiters.

Method Summary
`protected void` | `add(String type, String identifier)` This method actually adds a `SequenceAnnotation` to the internal list.

Methods inherited from class de.jstacs.data.sequences.annotation.SplitSequenceAnnotationParser
`addToAnnotation, clearAnnotation, getCurrentAnnotation, parseAnnotationToComment`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReferenceSequenceAnnotationParser

    public ReferenceSequenceAnnotationParser(String key,
                                             AlphabetContainer alphabet,
                                             String keyValueDelimiter,
                                             String annotationDelimiter)
                                      throws IllegalArgumentException

  Creates a new `ReferenceSequenceAnnotationParser` with user-specified delimiters.

  Parameters:
    `key` - the key for the `ReferenceSequenceAnnotation`
    `alphabet` - the `AlphabetContainer` of the reference sequence
    `keyValueDelimiter` - the delimiter between key and corresponding value
    `annotationDelimiter` - the delimiter between different `SequenceAnnotation`s
  Throws:
    `IllegalArgumentException` - if the delimiters are identical

Method Detail

### add

    protected void add(String type,
                       String identifier)

  Description copied from class: `SplitSequenceAnnotationParser`
  This method actually adds a `SequenceAnnotation` to the internal list.

  Overrides:
    `add` in class `SplitSequenceAnnotationParser`
  Parameters:
    `type` - the type of the `SequenceAnnotation`
    `identifier` - the identifier of the `SequenceAnnotation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD